Bug 1774327 - Unable to assign http_proxy to a product using hammer CLI
Summary: Unable to assign http_proxy to a product using hammer CLI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Chris Roberts
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks: 1774324
TreeView+ depends on / blocked
 
Reported: 2019-11-20 03:00 UTC by vijsingh
Modified: 2020-04-14 13:27 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.20.2.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28175 Normal Closed Unable to assign http_proxy to a product using hammer CLI 2020-02-11 15:06:13 UTC
Github Katello hammer-cli-katello pull 713 None closed Fixes #28175 - Add product proxy update options 2020-02-11 15:06:13 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:37 UTC

Description vijsingh 2019-11-20 03:00:00 UTC
Description of problem:

 Unable to assign http_proxy to a product using hammer CLI

Version-Release number of selected component (if applicable):

 Satellite 6.7.0 snap 2.0

How reproducible:

 Always

Steps to Reproduce:
________________________________________________________
hammer> product  update --help
Usage:
     product update [OPTIONS]

Options:
 --description DESCRIPTION               Product description
 --gpg-key GPG_KEY_NAME                  Name to search by
 --gpg-key-id GPG_KEY_ID                 Gpg key numeric identifier
 --id ID                                 Product numeric identifier
 --name NAME                             Product name to search by
 --new-name NEW_NAME                     Product name
 --organization ORGANIZATION_NAME        Organization name to search by
 --organization-id ORGANIZATION_ID       Organization ID
 --organization-label ORGANIZATION_LABEL Organization label to search by
 --ssl-ca-cert-id SSL_CA_CERT_ID         Idenifier of the SSL CA Cert
 --ssl-client-cert-id SSL_CLIENT_CERT_ID Identifier of the SSL Client Cert
 --ssl-client-key-id SSL_CLIENT_KEY_ID   Identifier of the SSL Client Key
 --sync-plan SYNC_PLAN_NAME              Sync plan name to search by
 --sync-plan-id SYNC_PLAN_ID             Sync plan numeric identifier
 -h, --help                              Print help


hammer>                    
________________________________________________________


Actual results:

 Unable to assign http_proxy to a product using hammer CLI

Expected results:

 Should be able to assign http_proxy to a product using hammer CLI

Additional info:

Comment 4 Bryan Kearney 2019-12-12 17:04:44 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28175 has been resolved.

Comment 6 Jameer Pathan 2020-01-21 05:56:21 UTC
Verified:

Verified with:
- Satellite 6.7.0 snap 9
- tfm-rubygem-hammer_cli_katello-0.20.2.1-1.el7sat.noarch

Test steps:
- Create few products with repositories.
- Use "hammer product update-proxy" command to assign http-proxy to products.

Observations:
- Able to assign Http Proxy to products.

hammer> product update-proxy --help
Usage:
     product update-proxy [OPTIONS]

Options:
 --http-proxy HTTP_PROXY_NAME          Name to search by
 --http-proxy-id HTTP_PROXY_ID         Identifier of the HTTP Proxy
 --http-proxy-policy HTTP_PROXY_POLICY Policy for HTTP Proxy for content sync
                                       Possible value(s): 'global_default_http_proxy', 'none', 'use_selected_http_proxy'
 --ids IDS                             List of product ids
                                       Comma separated list of values. Values containing comma should be quoted or escaped with backslash.
                                       JSON is acceptable and preferred way for complex parameters
 -h, --help                            Print help

hammer> product update-proxy --ids 62,63 --http-proxy-policy global_default_http_proxy
Product proxy updated.

hammer> product update-proxy --ids 62,63 --http-proxy-policy use_selected_http_proxy --http-proxy-id 2
Product proxy updated.

Comment 9 errata-xmlrpc 2020-04-14 13:27:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.